package com.zaojiao.app.ui.home

import android.graphics.Color
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.zaojiao.app.R

class HomeCourseFragment : Fragment() {

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        return inflater.inflate(R.layout.fragment_course, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        val listview = view.findViewById<RecyclerView>(R.id.view_course)
        listview.layoutManager =
            LinearLayoutManager(requireContext(), LinearLayoutManager.VERTICAL, false)
        listview.adapter = HomeCourseAdapter()
    }

    class HomeCourseAdapter : RecyclerView.Adapter<HomeCourseViewHolder>() {
        override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): HomeCourseViewHolder {
            val view =
                LayoutInflater.from(parent.context).inflate(R.layout.item_course, parent, false)
            return HomeCourseViewHolder(view)
        }

        override fun getItemCount(): Int = 100

        override fun onBindViewHolder(holder: HomeCourseViewHolder, position: Int) {
            if (position % 2 == 0) {
                holder.itemView.setBackgroundColor(Color.BLACK)
            } else {
                holder.itemView.setBackgroundColor(Color.WHITE)
            }
        }

    }

    class HomeCourseViewHolder(view: View) : RecyclerView.ViewHolder(view) {

    }
}