import org.jetbrains.kotlin.gradle.tasks.KotlinCompile;

rootProject.buildDir = File("build")

buildscript {
    dependencies {
        classpath("com.android.tools.build:gradle:8.0.1")
        classpath("org.jetbrains.kotlin:kotlin-gradle-plugin:1.8.21")
        classpath("androidx.navigation:navigation-safe-args-gradle-plugin:2.5.3")
    }
}

plugins {
    id("com.android.application").version("8.0.1").apply(false)
    id("com.android.library").version("8.0.1").apply(false)
    id("org.jetbrains.kotlin.android").version("1.8.20").apply(false)
    id("org.jetbrains.kotlin.kapt").version("1.8.10").apply(false)
}

subprojects {
    project.buildDir = File("${rootProject.buildDir}/${project.name}")

    tasks.withType<KotlinCompile>() {
        kotlinOptions {
            freeCompilerArgs = listOf("-Xjsr305=strict")
            jvmTarget = "17"
        }
    }
}

tasks.register("clean", Delete::class) {
    delete(rootProject.buildDir)
}